Last Comment Bug 619325 - When skimming over messages in a RSS feed, Thunderbird loads the wrong message
: When skimming over messages in a RSS feed, Thunderbird loads the wrong message
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Message Reader UI (show other bugs)
: unspecified
: x86 Windows XP
: -- normal with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-15 06:39 PST by tis1_lubdub
Modified: 2012-09-22 09:37 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
end result when deleting messages quickly (146.05 KB, image/png)
2010-12-15 06:40 PST, tis1_lubdub
no flags Details

Description tis1_lubdub 2010-12-15 06:39:18 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.13) Gecko/20101203 Firefox/3.6.13 (.NET CLR 3.5.30729)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.2.13) Gecko/20101207 Thunderbird/3.1.7

This started to happen regularly, I think with version 3, I don't recall having that issue with TB2.

When I skim over messages (reading or deleting) in a selected RSS feeds, Thunderbird shows the right URL and reference for the message, but loads a previous messages
(the attached screenshot shows the result when I quickly hit delete on the messages I'm not interested in).

Reproducible: Always

Steps to Reproduce:
1. Load an RSS feed
2. Select an old message
3. Delete that message (and a few of the following messages) very quickly


Expected Results:  
Loaded the message for which it shows the URI
Comment 1 tis1_lubdub 2010-12-15 06:40:02 PST
Created attachment 497769 [details]
end result when deleting messages quickly
Comment 2 Ludovic Hirlimann [:Usul] 2010-12-20 08:07:25 PST
Does it work better in -safe-mode (see http://support.mozillamessaging.com/en-US/kb/Safe+Mode) ?
Comment 3 tis1_lubdub 2010-12-21 00:30:33 PST
It's better in safe mode.
I delete a lot of messages in a row, then on the last message, it pauses slightly (about 1 second), showing a previous message, then it finally loads the correct message.
Comment 4 alta88 2012-09-22 09:37:06 PDT
this is likely fixed by bug 596234, reopen if reproducible in Tb18 (current trunk).

Note You need to log in before you can comment on or make changes to this bug.